Bug 1291367 - python-flask - Missing "python2-<module>" provide
Summary: python-flask - Missing "python2-<module>" provide
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-flask   
(Show other bugs)
Version: 25
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: hguemar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: PYTHON3
TreeView+ depends on / blocked
 
Reported: 2015-12-14 17:20 UTC by William Moreno
Modified: 2016-08-27 10:16 UTC (History)
6 users (show)

Fixed In Version: python-flask-0.11.1-3.fc25
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-27 10:16:33 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description William Moreno 2015-12-14 17:20:17 UTC
This package does not provide "python2-<module>".

As per Python packaging guidelines [0], when there are two versions of
module "foo", the two packages must provide:
"python3-foo" for Python 3
"python2-foo" for Python 2
"python-foo" for the system default Python (currently 2, but this might
change in the future)

Please use the %python_provide macro [1] to specify the correct provides.

It's fine to do this in Rawhide only.


If anything is unclear, or if you need any kind of assistance with this
issue, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1]
https://fedoraproject.org/wiki/Packaging:Python#The_.25python_provide_macro

Comment 1 Jan Kurik 2016-02-24 14:08:32 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Comment 2 William Moreno 2016-03-15 22:43:05 UTC
Please also use the %license macro in %%files

Comment 3 hguemar 2016-06-23 20:47:58 UTC
I'll fix it in rawhide as co-maintainer of Flask (FAS: hguemar)

Comment 4 Jan Kurik 2016-07-26 04:19:44 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 5 Fedora Update System 2016-08-22 14:24:24 UTC
python-flask-0.11.1-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-cc5b631ce8

Comment 6 Fedora Update System 2016-08-22 23:52:10 UTC
python-flask-0.11.1-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-cc5b631ce8

Comment 7 Fedora Update System 2016-08-27 10:16:26 UTC
python-flask-0.11.1-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.